QR codes API
6 REST endpoints for qr codes, each with its parameters, the response it returns and a runnable curl example. Starts with POST /api/qr/ai.
POST/api/qr/aiAI QR artwork
Validates the payload and returns the resulting resource. Access is limited by the API key scope and the workspace plan.
Parameters 5
| Name | In | Description |
|---|---|---|
object | body | JSON request field |
prompt | body | JSON request field |
style | body | JSON request field |
strength | body | JSON request field |
data | body | JSON request field |
Examples in 22 languages and Try it →
Responses
GET/api/qr/preview=================================================================== QR CODES ===================================================================
Returns data without changing the resource. Access is limited by the API key scope and the workspace plan.
Parameters 15
| Name | In | Description |
|---|---|---|
data | query | Optional query parameter |
text | query | Optional query parameter |
theme | query | Optional query parameter |
fg | query | Optional query parameter |
bg | query | Optional query parameter |
eye | query | Optional query parameter |
radius | query | Optional query parameter |
finder | query | Optional query parameter |
dots | query | Optional query parameter |
ecl | query | Optional query parameter |
size | query | Optional query parameter |
label | query | Optional query parameter |
logo | query | Optional query parameter |
margin | query | Optional query parameter |
format | query | Optional query parameter |
Examples in 22 languages and Try it →
Responses
POST/api/qr/publishPublish QR: permanent, embeddable image URL
Validates the payload and returns the resulting resource. Access is limited by the API key scope and the workspace plan.
Parameters 4
| Name | In | Description |
|---|---|---|
linkId | body | JSON request field |
data | body | JSON request field |
style | body | JSON request field |
format | body | JSON request field |
Examples in 22 languages and Try it →
Responses
GET/api/qr/publishedGet qr published
Returns data without changing the resource. Access is limited by the API key scope and the workspace plan.
Examples in 22 languages and Try it →
Responses
DELETE/api/qr/published/{id}Delete qr published by ID
Removes the selected resource after authorization. Access is limited by the API key scope and the workspace plan.
Parameters 1
| Name | In | Description |
|---|---|---|
id | path | Required path parameter |
Examples in 22 languages and Try it →
Responses
GET/api/qr/themesGet qr themes
Returns data without changing the resource. Access is limited by the API key scope and the workspace plan.
Examples in 22 languages and Try it →

